package mars.mobile;

import android.app.Application;
import android.net.Uri;

//import com.kakao.auth.KakaoSDK;
import com.kakao.sdk.common.KakaoSdk;

public class SampleApplication extends Application
{
    public Uri m_uriResult;
    public  boolean b_type      = false;

	public  static final String m_strLogTag = "PaySample";
	public  static final String s_strLogTag = "PayACNTSample";
    private static SampleApplication instance;


    public static SampleApplication getInstance() {
        if (instance != null) {
            return instance;
        } else {
            instance = new SampleApplication();
            return instance;
        }
    }

    @Override
    public void onCreate() {
        super.onCreate();

        instance = this;
      //  KakaoSDK.init(new KaKaoSDKAdapter());
        // SDK 초기화 (네이티브 앱 키를 여기에 입력)
        //KakaoSdk.init(this, "YOUR_NATIVE_APP_KEY");

    }

    @Override
    public void onTerminate() {
        super.onTerminate();
        instance = null;
    }
}

